[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.EraseSection

Clear a section

## Declaration

Source position: inifiles.pp line 197

`public procedure TCustomIniFile.EraseSection(`
`const Section: string`
`); virtual; abstract;`

## Arguments

`Section` |  | Name of section to erase

## Description

EraseSection deletes all values from the section named Section and removes the section from the ini file. If the section didn't exist prior to a call to EraseSection, nothing happens.

## See also

SectionExists |  | Check if a section exists.
ReadSections |  | Read the list of sections
DeleteKey |  | Delete a key from a section